Bug 848958 - Review Request : gmchess - Chinese Chess Game
Review Request : gmchess - Chinese Chess Game
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 19:01 EDT by Pierre-Yves Luyten
Modified: 2013-06-11 05:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 05:22:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves Luyten 2012-08-16 19:01:52 EDT
Spec URL: http://py.luyten.fr/Publique/Fedora/gmchess.spec

SRPM URL: http://py.luyten.fr/Publique/Fedora/gmchess-0.29.6-0.1.fc17.src.rpm

Description: GPL v2 Chiness Chess (Xiangqi) game, including AI. Gtk 2 / C++ .

Fedora Account System Username: pyluyten

This package needs a sponsor, this is my first.
Comment 1 Robin Lee 2012-08-16 21:42:27 EDT
Some initial comments:

* No use macro in changelog
* No explicit library requires
* Just use:
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
* The URL should be the project homepage, not the author's blog.
* Upstream seems not well maintained.
Comment 2 Pierre-Yves Luyten 2012-08-17 02:21:55 EDT
Thanks, 

"No explicit library requires" : I kept only gtkmm24-devel inside BuildRequires, unless you meant something else.

URL changed, changelog macro removed.

"Upstream seems not well maintained" : actually I would like to have a look to this code , but this might require some time and first, a package would be nice.

Using %post -p /sbin/ldconfig as recommended, i get below errors on RPM, thus I'll investigate further.

gmchess.x86_64: E: postun-without-ldconfig /usr/lib64/libeval.so.0.0.0
gmchess.x86_64: E: non-empty-%postun /sbin/ldconfig

However I pushed the new spec and srpm.
Comment 3 Pierre-Yves Luyten 2012-08-17 12:27:47 EDT
Spec : http://py.luyten.fr/Publique/Fedora/gmchess/gmchess.spec
Srpm : http://py.luyten.fr/Publique/Fedora/gmchess/gmchess-0.29.6-0.1.fc17.src.rpm



I did add one EOL after postun to reduce issues to below warning

gmchess.x86_64: W: percent-in-%postun
Comment 4 Jason Tibbitts 2013-06-10 19:38:43 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

This package fails to build for me; here is a scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5489154

Shockingly, libeval.so doesn't appear to conflict with anything else in the distribution.  It's still an amazingly generic name for something which appears to have no use outside of this program, and renaming it wouldn't be a bad idea.
Comment 5 Pierre-Yves Luyten 2013-06-11 05:22:40 EDT
Thanks for this triaging

gmchess had not release at all since I started the package ; I've upstreamed the libeval.so issue just in case but i'm closing ticket.

Note You need to log in before you can comment on or make changes to this bug.